function AdfIE6Agent(version, domWindow) {
  this.Init(version, domWindow)
}
AdfObject.createSubclass(AdfIE6Agent, AdfIEAgentLegacy);
AdfIE6Agent.prototype.resizeStretchedChild = function(childElement, parentPadding) {
  AdfAssert.assert(parentPadding != null, "parent padding not specified");
  if(childElement) {
    var parentElement = childElement.parentNode;
    var totalPadding = AdfAgent.getCSSLengthAsInt(parentPadding) * 2;
    var childWidth = parentElement.clientWidth - totalPadding;
    var childHeight = parentElement.clientHeight - totalPadding;
    this.setOuterWidth(childElement, childWidth);
    this.setOuterHeight(childElement, childHeight)
  }
};
AdfIE6Agent.prototype.resizeStretchedElement = function(element, width, height) {
  if(width != undefined) {
    this.setOuterWidth(element, width)
  }
  if(height != undefined) {
    this.setOuterHeight(element, height)
  }
};
AdfIE6Agent.prototype.prepareStretchedChild = function(childElement, parentPadding) {
  AdfAssert.assert(parentPadding != null, "parent padding not specified");
  var childStyle = childElement.style;
  childStyle.position = "absolute";
  childStyle.left = parentPadding;
  childStyle.top = parentPadding
};
AdfIE6Agent.prototype.repositionStretchedElement = function(element, topPixels, bottomPixels, leftPixels, rightPixels) {
  if(element) {
    var style = element.style;
    if(topPixels) {
      style.top = topPixels
    }
    if(leftPixels) {
      style.left = leftPixels
    }
  }
};
